
package sklep.generated;

import javax.xml.namespace.QName;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the sklep.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetPhoto_QNAME = new QName("http://soap.sklep/", "getPhoto");
    private final static QName _GetPhotoResponse_QNAME = new QName("http://soap.sklep/", "getPhotoResponse");
    private final static QName _OneCustomer_QNAME = new QName("http://soap.sklep/", "oneCustomer");
    private final static QName _OneCustomerResponse_QNAME = new QName("http://soap.sklep/", "oneCustomerResponse");
    private final static QName _OneOrder_QNAME = new QName("http://soap.sklep/", "oneOrder");
    private final static QName _OneOrderResponse_QNAME = new QName("http://soap.sklep/", "oneOrderResponse");
    private final static QName _ReadAll_QNAME = new QName("http://soap.sklep/", "readAll");
    private final static QName _ReadAllResponse_QNAME = new QName("http://soap.sklep/", "readAllResponse");
    private final static QName _ReadByPrice_QNAME = new QName("http://soap.sklep/", "readByPrice");
    private final static QName _ReadByPriceResponse_QNAME = new QName("http://soap.sklep/", "readByPriceResponse");
    private final static QName _ReadOne_QNAME = new QName("http://soap.sklep/", "readOne");
    private final static QName _ReadOneResponse_QNAME = new QName("http://soap.sklep/", "readOneResponse");
    private final static QName _SavePhoto_QNAME = new QName("http://soap.sklep/", "savePhoto");
    private final static QName _SavePhotoResponse_QNAME = new QName("http://soap.sklep/", "savePhotoResponse");
    private final static QName _SaveProduct_QNAME = new QName("http://soap.sklep/", "saveProduct");
    private final static QName _SaveProductResponse_QNAME = new QName("http://soap.sklep/", "saveProductResponse");
    private final static QName _RecordNotFound_QNAME = new QName("http://soap.sklep/", "RecordNotFound");
    private final static QName _DBException_QNAME = new QName("http://soap.sklep/", "DBException");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: sklep.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Order }
     * 
     * @return
     *     the new instance of {@link Order }
     */
    public Order createOrder() {
        return new Order();
    }

    /**
     * Create an instance of {@link GetPhoto }
     * 
     * @return
     *     the new instance of {@link GetPhoto }
     */
    public GetPhoto createGetPhoto() {
        return new GetPhoto();
    }

    /**
     * Create an instance of {@link GetPhotoResponse }
     * 
     * @return
     *     the new instance of {@link GetPhotoResponse }
     */
    public GetPhotoResponse createGetPhotoResponse() {
        return new GetPhotoResponse();
    }

    /**
     * Create an instance of {@link OneCustomer }
     * 
     * @return
     *     the new instance of {@link OneCustomer }
     */
    public OneCustomer createOneCustomer() {
        return new OneCustomer();
    }

    /**
     * Create an instance of {@link OneCustomerResponse }
     * 
     * @return
     *     the new instance of {@link OneCustomerResponse }
     */
    public OneCustomerResponse createOneCustomerResponse() {
        return new OneCustomerResponse();
    }

    /**
     * Create an instance of {@link OneOrder }
     * 
     * @return
     *     the new instance of {@link OneOrder }
     */
    public OneOrder createOneOrder() {
        return new OneOrder();
    }

    /**
     * Create an instance of {@link OneOrderResponse }
     * 
     * @return
     *     the new instance of {@link OneOrderResponse }
     */
    public OneOrderResponse createOneOrderResponse() {
        return new OneOrderResponse();
    }

    /**
     * Create an instance of {@link ReadAll }
     * 
     * @return
     *     the new instance of {@link ReadAll }
     */
    public ReadAll createReadAll() {
        return new ReadAll();
    }

    /**
     * Create an instance of {@link ReadAllResponse }
     * 
     * @return
     *     the new instance of {@link ReadAllResponse }
     */
    public ReadAllResponse createReadAllResponse() {
        return new ReadAllResponse();
    }

    /**
     * Create an instance of {@link ReadByPrice }
     * 
     * @return
     *     the new instance of {@link ReadByPrice }
     */
    public ReadByPrice createReadByPrice() {
        return new ReadByPrice();
    }

    /**
     * Create an instance of {@link ReadByPriceResponse }
     * 
     * @return
     *     the new instance of {@link ReadByPriceResponse }
     */
    public ReadByPriceResponse createReadByPriceResponse() {
        return new ReadByPriceResponse();
    }

    /**
     * Create an instance of {@link ReadOne }
     * 
     * @return
     *     the new instance of {@link ReadOne }
     */
    public ReadOne createReadOne() {
        return new ReadOne();
    }

    /**
     * Create an instance of {@link ReadOneResponse }
     * 
     * @return
     *     the new instance of {@link ReadOneResponse }
     */
    public ReadOneResponse createReadOneResponse() {
        return new ReadOneResponse();
    }

    /**
     * Create an instance of {@link SavePhoto }
     * 
     * @return
     *     the new instance of {@link SavePhoto }
     */
    public SavePhoto createSavePhoto() {
        return new SavePhoto();
    }

    /**
     * Create an instance of {@link SavePhotoResponse }
     * 
     * @return
     *     the new instance of {@link SavePhotoResponse }
     */
    public SavePhotoResponse createSavePhotoResponse() {
        return new SavePhotoResponse();
    }

    /**
     * Create an instance of {@link SaveProduct }
     * 
     * @return
     *     the new instance of {@link SaveProduct }
     */
    public SaveProduct createSaveProduct() {
        return new SaveProduct();
    }

    /**
     * Create an instance of {@link SaveProductResponse }
     * 
     * @return
     *     the new instance of {@link SaveProductResponse }
     */
    public SaveProductResponse createSaveProductResponse() {
        return new SaveProductResponse();
    }

    /**
     * Create an instance of {@link RecordNotFound }
     * 
     * @return
     *     the new instance of {@link RecordNotFound }
     */
    public RecordNotFound createRecordNotFound() {
        return new RecordNotFound();
    }

    /**
     * Create an instance of {@link DBException }
     * 
     * @return
     *     the new instance of {@link DBException }
     */
    public DBException createDBException() {
        return new DBException();
    }

    /**
     * Create an instance of {@link Customer }
     * 
     * @return
     *     the new instance of {@link Customer }
     */
    public Customer createCustomer() {
        return new Customer();
    }

    /**
     * Create an instance of {@link Product }
     * 
     * @return
     *     the new instance of {@link Product }
     */
    public Product createProduct() {
        return new Product();
    }

    /**
     * Create an instance of {@link OrderProduct }
     * 
     * @return
     *     the new instance of {@link OrderProduct }
     */
    public OrderProduct createOrderProduct() {
        return new OrderProduct();
    }

    /**
     * Create an instance of {@link Order.Products }
     * 
     * @return
     *     the new instance of {@link Order.Products }
     */
    public Order.Products createOrderProducts() {
        return new Order.Products();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPhoto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GetPhoto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "getPhoto")
    public JAXBElement<GetPhoto> createGetPhoto(GetPhoto value) {
        return new JAXBElement<>(_GetPhoto_QNAME, GetPhoto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPhotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GetPhotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "getPhotoResponse")
    public JAXBElement<GetPhotoResponse> createGetPhotoResponse(GetPhotoResponse value) {
        return new JAXBElement<>(_GetPhotoResponse_QNAME, GetPhotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OneCustomer }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OneCustomer }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "oneCustomer")
    public JAXBElement<OneCustomer> createOneCustomer(OneCustomer value) {
        return new JAXBElement<>(_OneCustomer_QNAME, OneCustomer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OneCustomerResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OneCustomerResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "oneCustomerResponse")
    public JAXBElement<OneCustomerResponse> createOneCustomerResponse(OneCustomerResponse value) {
        return new JAXBElement<>(_OneCustomerResponse_QNAME, OneCustomerResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OneOrder }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OneOrder }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "oneOrder")
    public JAXBElement<OneOrder> createOneOrder(OneOrder value) {
        return new JAXBElement<>(_OneOrder_QNAME, OneOrder.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OneOrderResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OneOrderResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "oneOrderResponse")
    public JAXBElement<OneOrderResponse> createOneOrderResponse(OneOrderResponse value) {
        return new JAXBElement<>(_OneOrderResponse_QNAME, OneOrderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadAll }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ReadAll }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "readAll")
    public JAXBElement<ReadAll> createReadAll(ReadAll value) {
        return new JAXBElement<>(_ReadAll_QNAME, ReadAll.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadAllResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ReadAllResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "readAllResponse")
    public JAXBElement<ReadAllResponse> createReadAllResponse(ReadAllResponse value) {
        return new JAXBElement<>(_ReadAllResponse_QNAME, ReadAllResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadByPrice }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ReadByPrice }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "readByPrice")
    public JAXBElement<ReadByPrice> createReadByPrice(ReadByPrice value) {
        return new JAXBElement<>(_ReadByPrice_QNAME, ReadByPrice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadByPriceResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ReadByPriceResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "readByPriceResponse")
    public JAXBElement<ReadByPriceResponse> createReadByPriceResponse(ReadByPriceResponse value) {
        return new JAXBElement<>(_ReadByPriceResponse_QNAME, ReadByPriceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadOne }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ReadOne }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "readOne")
    public JAXBElement<ReadOne> createReadOne(ReadOne value) {
        return new JAXBElement<>(_ReadOne_QNAME, ReadOne.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadOneResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ReadOneResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "readOneResponse")
    public JAXBElement<ReadOneResponse> createReadOneResponse(ReadOneResponse value) {
        return new JAXBElement<>(_ReadOneResponse_QNAME, ReadOneResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SavePhoto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SavePhoto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "savePhoto")
    public JAXBElement<SavePhoto> createSavePhoto(SavePhoto value) {
        return new JAXBElement<>(_SavePhoto_QNAME, SavePhoto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SavePhotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SavePhotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "savePhotoResponse")
    public JAXBElement<SavePhotoResponse> createSavePhotoResponse(SavePhotoResponse value) {
        return new JAXBElement<>(_SavePhotoResponse_QNAME, SavePhotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveProduct }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SaveProduct }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "saveProduct")
    public JAXBElement<SaveProduct> createSaveProduct(SaveProduct value) {
        return new JAXBElement<>(_SaveProduct_QNAME, SaveProduct.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveProductResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SaveProductResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "saveProductResponse")
    public JAXBElement<SaveProductResponse> createSaveProductResponse(SaveProductResponse value) {
        return new JAXBElement<>(_SaveProductResponse_QNAME, SaveProductResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "RecordNotFound")
    public JAXBElement<RecordNotFound> createRecordNotFound(RecordNotFound value) {
        return new JAXBElement<>(_RecordNotFound_QNAME, RecordNotFound.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "DBException")
    public JAXBElement<DBException> createDBException(DBException value) {
        return new JAXBElement<>(_DBException_QNAME, DBException.class, null, value);
    }

}
